//
//  XMProgressLoadingView.m
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/23.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import "XMProgressLoadingView.h"

@implementation XMProgressLoadingView

- (void)displayFailure
{
    [self.progressView removeFromSuperview];
    
    [super displayFailure];
}

- (void)addLoading {
    if (!self.progressView) {
        self.progressView = [[UIProgressView alloc] initWithProgressViewStyle:UIProgressViewStyleBar];
        [self.progressView setFrame:CGRectMake( 0, 0, 200, 20)];
        [self.progressView setCenter:self.center];
        [self addSubview:self.progressView];
    }
}

#pragma mark - customlize method
- (void)loadWithReceivedSize:(NSUInteger)receivedSize expectedSize:(long)expectedSize
{
    
    float fReceivedSize = (float)receivedSize;
    float progress = (fReceivedSize  / expectedSize);
    if (progress != 1)
    {
        [self.progressView setProgress:progress];
    }
    else
    {
        [self.progressView removeFromSuperview];
    }    
}
@end
