//
//  XMSDWebFullscreenImageViewController.m
//  CXPhotoBrowserDemo
//
//  Created by 江明 赵 on 8/1/13.
//  Copyright (c) 2013 ChrisXu. All rights reserved.
//


#import "XMSDWebFullscreenImageViewController.h"
#import "XMSDWebPhoto.h"
#import "SDImageCache.h"

@interface XMSDWebFullscreenImageViewController ()

@end

@implementation XMSDWebFullscreenImageViewController

- (id)initWithDefaultUrl:(NSString *)defaulturl url:(NSString *)url {
    self = [self init];
    if (self) {
        self.defaultImage = [[SDImageCache sharedImageCache] imageFromDiskCacheForKey:defaulturl];
        self.photo = [[XMSDWebPhoto alloc] initWithURL:[NSURL URLWithString:url]];
    }
    return self;
}

- (id)initWithDefaultImage:(UIImage *)defaultImage url:(NSString *)url {
    self = [self init];
    if (self) {
        self.defaultImage = defaultImage;
        self.photo = [[XMSDWebPhoto alloc] initWithURL:[NSURL URLWithString:url]];
    }
    
    return self;
}
@end
