//
//  XMPhotoLoadingView.h
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/22.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "XMPhotoLoadingViewProtocol.h"

@class XMPhoto;
@protocol XMPhotoLoadingViewDelegate;
@interface XMPhotoLoadingView : UIView
<XMPhotoLoadingViewProtocol>

@property (nonatomic) BOOL supportReload;

- (id)initWithPhoto:(XMPhoto *)photo;

- (void)addLoading;

- (void)handleSingleTap:(UITouch *)touch;
- (void)handleDoubleTap:(UITouch *)touch;
- (void)handleTripleTap:(UITouch *)touch;
@end
